# -*- coding: utf-8 -*-

import datetime

import click

from em_tasks.utils.dhl_tracking_tracker import DHLTrackingTracker
from em_tasks.store.models import *

from em_celery import logger, init_db


@click.command('Update DHL trackings')
@click.option('-k', '--api_key', required=True, type=str)
@click.option('-e', '--environment', type=str, default='production')
@click.option('-d', '--days', type=int, default=30)
def track_dhl(api_key, environment='production', days=30):
  init_db()

  tracker = DHLTrackingTracker(api_key, environment, days)
  tracker.run()


if __name__ == "__main__":
  track_dhl()
