# -*- coding: utf-8 -*-

import datetime

import click

from em_tasks.utils.fedex_tracking_tracker import FedexTrackingTracker
from em_tasks.store.models import *

from em_celery import logger, init_db


@click.command('Update Fedex trackings')
@click.option('-c', '--client_id', required=True, type=str)
@click.option('-s', '--client_secret', required=True, type=str)
@click.option('-e', '--environment', type=str, default='production')
@click.option('-d', '--days', type=int, default=30)
def track_fedex(client_id, client_secret, environment='production', days=30):
  init_db()

  tracker = FedexTrackingTracker(client_id, client_secret, environment, 'client_credentials', days)
  tracker.run()


if __name__ == "__main__":
  track_fedex()
