# -*- coding: utf-8 -*-

import click

from datetime import datetime

from em_tasks.store.models import *
from em_tasks.tasks.gmc_sync_products_task import GmcSyncProductsTask

from em_celery import logger, init_db


@click.command('Sync google merchant products')
def sync_products():
  init_db()

  for gs in GmcStore.select().execute():
    if gs.merchant_id == '654568556':
      continue

    logger.info('[GmcProductSync] MerchantID: %s', gs.merchant_id)

    started_at = datetime.now()
    task = GmcSyncProductsTask(gs.merchant_id)
    task.run()
    ended_at = datetime.now()
    logger.info('TimeUsed: {} minutes'.format(round((ended_at - started_at).total_seconds() / 60, 2)))


if __name__ == "__main__":
  sync_products()
