# -*- coding: utf-8 -*-

import json

import click

from em_tasks.store.store_util import StoreUtil
from em_tasks.tasks.google_ads_insights_task import GoogleAdsInsightsTask
from em_tasks.store.models import *

from em_celery import logger, init_db


@click.command('Load Google Ads insights')
@click.option('-d', '--developer_token', required=True, type=str)
@click.option('-v', '--version', type=str, default='v15')
@click.option('-ds', '--days', type=int, default=7, help='Days to process.')
def load_insights(developer_token, days=7, version='v15'):
  init_db()

  for ga in GoogleAdsAccount.select().where(GoogleAdsAccount.active == 1).execute():
    task = GoogleAdsInsightsTask(ga.customer_id, developer_token, version=version, days=days)
    task.run()


if __name__ == "__main__":
  load_insights()
