# -*- coding: utf-8 -*-

import datetime

import click

from em_tasks.utils.spree.amz_filter import SpreeAmzFilter
from em_tasks.store.models import *

from em_celery import logger, init_db, get_product_service


@click.command('Filter Spree Amazon products')
@click.option('-s', '--store_code', required=True, type=str, help='Store code.')
@click.option('-m', '--marketplace', type=str, default='us')
@click.option('-o', '--output_path', required=True, type=str)
def filter_products(store_code, output_path, marketplace='us'):
  init_db()

  product_service = get_product_service()

  marketplace = marketplace.lower()

  amz_filter = SpreeAmzFilter(store_code, marketplace, product_service, output_path)
  amz_filter.run()


if __name__ == "__main__":
  filter_products()
