# -*- coding: utf-8 -*-

import datetime
import json
import time
import re

import click
import dateparser

from em_tasks.utils.spree.faire_repricer import SpreeFaireRepricer

from em_celery import logger, get_config, init_db, get_product_service


@click.command('Spree faire products repricing.')
@click.option('-s', '--store_code', type=str, required=True)
def reprice(store_code):
  init_db()
  product_service = get_product_service()

  repricer = SpreeFaireRepricer(store_code, product_service)
  repricer.run()

if __name__ == '__main__':
  reprice()
