# -*- coding: utf-8 -*-

import datetime
import json

import click

from em_celery import logger, init_db
from em_tasks.store.store_util import StoreUtil
from em_tasks.spree.api import SpreeApi
from em_tasks.store.models import *

from em_celery import logger, init_db


@click.command('Import products to Spree')
@click.option('-s', '--store_code', type=str, required=True)
@click.argument('product_ids_path')
def delete_products(store_code, product_ids_path):
  init_db()

  if not product_ids_path:
    return

  product_ids_path = os.path.abspath(os.path.expanduser(product_ids_path))
  if not os.path.isfile(product_ids_path):
    return

  store = StoreUtil.get_store_by_code(store_code)
  if not store:
    return

  credential = json.loads(store.api_credential)
  spree_api = SpreeApi(credential['endpoint'], credential['api_key'], credential.get('api_version', 'v1'))
  # spree_api = SpreeApi('http://localhost:3000', credential['api_key'], credential.get('api_version', 'v1'))

  batch_size = 50
  product_ids_buf = []
  with open(product_ids_path, encoding='utf-8', errors='ignore') as fh:
    for line in fh:
      s = line.strip()
      if not s:
        continue

      product_ids_buf.append(s)
      if len(product_ids_buf) < batch_size:
        continue

      resp = spree_api.delete_products(product_ids_buf)
      logger.info("[DeleteProducts] %s", resp)
      product_ids_buf = []

  if product_ids_buf:
    resp = spree_api.delete_products(product_ids_buf)
    logger.info("[DeleteProducts] %s", resp)
  product_ids_buf = []


if __name__ == "__main__":
  delete_products()
