# -*- coding: utf-8 -*-

import datetime

import click

from em_tasks.utils.ups_tracking_tracker import UPSTrackingTracker
from em_tasks.store.models import *

from em_celery import logger, init_db


@click.command('Update UPS trackings')
@click.option('-m', '--merchant_id', required=True, type=str)
@click.option('-c', '--client_id', required=True, type=str)
@click.option('-s', '--client_secret', required=True, type=str)
@click.option('-e', '--environment', type=str, default='production')
@click.option('-d', '--days', type=int, default=30)
def track_ups(merchant_id, client_id, client_secret, environment='production', days=30):
  init_db()

  tracker = UPSTrackingTracker(merchant_id, client_id, client_secret, environment, days)
  tracker.run()


if __name__ == "__main__":
  track_ups()
